# OpenLayers.Layer.Vector.RootContainer

A special layer type to combine multiple vector layers inside a single renderer root container. This class is not supposed to be instantiated from user space, it is a helper class for controls that require event processing for multiple vector layers.

#### Inherits from

- OpenLayers.Layer.Vector

Summary

OpenLayers.Layer.Vector.RootContainer | A special layer type to combine multiple vector layers inside a single renderer root container.
Properties |
layers | Layers that are attached to this container.
Constructor |
OpenLayers.Layer.Vector.RootContainer | Create a new root container for multiple vector layer.

### Properties

### layers

Layers that are attached to this container. Required config option.

### Constructor

### OpenLayers.Layer.Vector.RootContainer

Create a new root container for multiple vector layer. This constructor is not supposed to be used from user space, it is only to be used by controls that need feature selection across multiple vector layers.

#### Parameters

name | {String} A name for the layer
options | {Object} Optional object with non-default properties to set on the layer.

#### Required options properties

layers | {Array(OpenLayers.Layer.Vector)} The layers managed by this container

#### Returns

{OpenLayers.Layer.Vector.RootContainer} A new vector layer root container

Instances of OpenLayers.Layer.Vector are used to render vector data from a variety of sources.
Create a new root container for multiple vector layer.
Close